* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

a {
  color: inherit;
  text-decoration: none;
}

header {
  color: #FFF;
  display: flex;
  padding: 1rem 2rem;
  align-items: center;
  background-color: #234;
  justify-content: space-between;
}

nav {
  left: 0;
  z-index: -1;
  top: -100vh;
  width: 100vw;
  display: flex;
  position: absolute;
  align-items: stretch;
  flex-direction: column;
  background-color: #234;
  transition: all 300ms ease-in-out;
}

nav > a {
  padding: 1rem;
  text-align: center;
}

nav > a:hover {
  background-color: #123;
}

.menu {
  gap: 0.4rem;
  margin: 1rem;
  display: flex;
  cursor: pointer;
  flex-direction: column;
}

.menu > i {
  width: 1.6rem;
  border-bottom: 0.2rem solid #FFF;
}

@media (min-width: 40em) {
  nav {
    all: unset;
    display: block;
  }
  .menu {
    display: none;
  }
}
